Support Questions
Find answers, ask questions, and share your expertise

http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/HDP-GPL-3.0.0.0-centos7-rpm.tar.gz , getting error while downloading

http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/HDP-GPL-3.0.0.0-centos7-rpm.tar.gz , getting error while downloading

New Contributor
 
2 REPLIES 2

Re: http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/HDP-GPL-3.0.0.0-centos7-rpm.tar.gz , getting error while downloading

Explorer

I managed to install

by

wget -nv http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.7.0.0/ambari.repo -O /etc/yum.repos.d/ambari.repo

This allows Ambari 2.7 to be installed and it comes with HDP 3.0

Re: http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/HDP-GPL-3.0.0.0-centos7-rpm.tar.gz , getting error while downloading

Mentor

@nagaprasad reddy boggula

It looks you are trying to install HDP 3.0, the best and working solution is to use the public yum repository but if you intend to use the internal repos then make sure your gateway/edgenode where you want to download the bits/binaries can access internet and the ports are open! I also noticed the HDP 3.0 is hosted in AWS

# wget -nv http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.7.0.0/ambari.repo -O /etc/yum.repos.d/ambari.repo 

# wget -nv http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/hdp.gpl.repo -O /etc/yum.repos.d/gpl.repo 

# wget -nv http://public-repo-1.hortonworks.com/HDP/centos7/3.x/updates/3.0.0.0/hdp.repo -O /etc/yum.repos.d/hdp.repo

Else the above will set up your setup your public repos. I just completed an install last night.

HTH